ats-setup: ATS scripts for Cabal builds

[ ats, bsd3, cabal, development, library ] [ Propose Tags ]

This package contains various scripts that go in a package's Setup.hs to make building libraries with ATS dependencies easier.


[Skip to Readme]
Versions 0.1.0.0, 0.1.0.1, 0.1.0.2, 0.1.0.4, 0.1.0.5, 0.1.0.6, 0.2.0.0, 0.2.0.1, 0.3.0.0, 0.3.0.1, 0.3.0.2, 0.3.1.0, 0.3.1.1, 0.4.0.0, 0.4.0.2
Dependencies base (>=4.8 && <5), bytestring, Cabal (>=2.0), composition-prelude (>=1.3.0.0), dependency, directory, filemanip, http-client, http-client-tls, parallel-io, process, tar, unix, zlib [details]
License BSD-3-Clause
Copyright Copyright: (c) 2018 Vanessa McHale
Author Vanessa McHale
Maintainer vamchale@gmail.com
Category ATS, Development, Cabal
Source repo head: darcs get https://hub.darcs.net/vmchale/ats
Uploaded by vmchale at Fri Feb 23 09:55:07 UTC 2018
Distributions NixOS:0.4.0.2
Downloads 689 total (150 in the last 30 days)
Rating (no votes yet) [estimated by rule of succession]
Your Rating
  • λ
  • λ
  • λ
Status Docs available [build log]
Last success reported on 2018-02-23 [all 1 reports]
Hackage Matrix CI

Modules

[Index]

Flags

NameDescriptionDefaultType
development

Enable -Werror

DisabledManual

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainer's Corner

For package maintainers and hackage trustees


Readme for ats-setup-0.4.0.2

[back to package description]

ats-setup

Installation

Configuration